Bug 504498 - provide /etc/lsb-release
provide /etc/lsb-release
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: redhat-lsb (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lawrence Lim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-07 11:08 EDT by Andrew Ziem
Modified: 2014-03-25 20:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-21 09:28:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Ziem 2009-06-07 11:08:38 EDT
Description of problem:
Other Linux distributions provide the file /etc/lsb-release  which is useful for developers to determine platform information. However, Fedora doesn't ship this file.

Version-Release number of selected component (if applicable):
redhat-lsb-3.2-2.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. cat /etc/lsb-release

  
Actual results:
cat: /etc/lsb-release: No such file or directory


Expected results:
DISTRIB_ID=Fedora
DISTRIB_RELEASE=10
DISTRIB_CODENAME=cambridge
DISTRIB_DESCRIPTION="Fedora 10"

Additional info:
Ubuntu, Mandriva, and others have this file.
Comment 1 Nicola Soranzo 2009-09-16 11:13:34 EDT
I think you should use the lsb_release command, see its man page for more information.
Comment 2 Bug Zapper 2009-11-18 07:04:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Andrew Ziem 2009-11-18 12:50:29 EST
Still not there in Fedora 11
Comment 4 Andrew Ziem 2009-11-18 12:52:07 EST
lsb_release is a little harder to parse, but it is OK for me.  I can't speak for others that may benefit from /etc/lsb-release, so you can close if you want

Note You need to log in before you can comment on or make changes to this bug.